<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta name="description" content="Play MAME on your TV Arcade Monitor or Fixed Frequency Monitor">
<meta name="keywords" content="advancemame advancemenu advancecd advanceboot makebootfat advance advmame advcd advmenu advcomp mame mess linux scale2x arcade retrogame tv monitor control play coinop cabinet retrogaming">
<meta name="author" content="Andrea Mazzoleni">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="stylesheet" type="text/css" href="style.css">
<title>Advance Projects</title>

<!-- Google Analytics 4 -->
<!-- Google tag (gtag.js) -->
<script async src="https://www.googletagmanager.com/gtag/js?id=G-JE7ZVT424T"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'G-JE7ZVT424T');
</script>

<!-- Google Universal Analytics -->
<script type="text/javascript">

  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', 'UA-21967501-3']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();

</script>
</head>
<body>
<div id="header">
<img src="index.jpg" width="1200" height="150" alt="Title">
</div>
<div id="menu">
<a href="/">About</a>
<a href="download">Download</a>
<a href="doc">Documentation</a>
<a href="support">Support</a>
<a href="forum">Forum</a>
<a href="history">History</a>
<a href="cost">Cost</a>
<a href="video-link">Video</a>
<a href="authors">Authors</a>
</div>
<div id="main">


<p>
<span class="bold">AdvanceMAME</span> and <span class="bold">AdvanceMESS</span> are
unofficial MAME and MESS versions with an advanced video support for
helping the use with TVs, Arcade Monitors, Fixed Frequencies Monitors and
also for PC Monitors.
</p>

<p>
They run in GNU/Linux, Mac OS X, DOS, Windows and in all the other
platforms supported by the <a href="http://www.libsdl.org/">SDL</a> library.
</p>

<p>
The main difference compared with the official emulators is that
the Advance versions are able to program directly the video board
to always get a video mode with the correct size and frequency.
</p>

<p>
Generally the Advance emulators are able to use a video mode which
doesn't require any stretching or other unneeded effects to match the
original arcade display.
</p>

<p>
The direct video board programming is fully supported in Linux
and DOS. It's partially supported in Windows. It isn't supported in
Mac OS X and other platforms.
</p>

<p>
Other improvements are :
</p>

<ul>
<li>Automatic creation of <em>perfect</em> video modes with the correct size and clock.
<li>A lot of video boards supported. See the <a href="doc-cardlinx">GNU/Linux</a>, <a href="doc-carddos">DOS</a> and <a href="doc-cardwin">Windows</a> card list.
<li>Support for 8, 15, 16 and 32 bits video modes.
<li>Real hardware scanlines.
<li>Software video image stretching by fractional factors, for
example to play vertical games like "Pac-Man" with horizontal
Arcade Monitors or TVs.
<li>Special <span class="bold">scale</span>, <span class="bold">lq</span>, <span class="bold">hq</span> and <span class="bold">xbr</span> effects to improve the aspect
with modern PC Monitors.
See <a href="http://www.scale2x.it">Scale2x</a>, <a href="http://www.hiend3d.com/hq3x.html">hq3x</a> and <a href="http://filthypants.blogspot.it/2012/03/xbr-vs-hqx-interpolation-filter.html">XBR</a> pages for examples.
<li>Special <span class="bold">blit</span> effects to improve the image quality in stretching.
See <a href="blit">Blit Effetcs</a> for examples.
<li>Special <span class="bold">rgb effects</span> to simulate the aspect of a real Arcade Monitor
See <a href="rgb">Rgb Effetcs</a> for examples.
<li>Change of the video mode and other video options at runtime. See the <a href="snapshot">Snapshots</a>.
<li>Support of <span class="bold">Symmetric Multi-Processing (SMP)</span> with a multiple threads architecture in Linux.
<li>Sound and Video recording in WAV, PNG and .MNG files.
<li><span class="bold">Multiple mice</span> support in Linux, DOS, Windows 2000 and Windows XP.
<li>Automatic exit after some time of inactivity.
<li>Scripts capabilities to drive external hardware devices like LCDs and lights.
<li>Textual configuration files.
<li>Help screen describing the user input keys.
</ul>

<p>
... and many others. Check the AdvanceMAME <a href="doc-advmame">Documentation</a> for more details.
</p>

<p>
You can see some <a href="snapshot">Snapshots</a> or go to <a href="download">Download</a>.
</p>

<p>
If you have problems you can <a href="support">Get Support</a>.
</p>

</div>

<div id="footer">

<div class="column">
<span class="bold">Donate with</span>
<br>
<a href="https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=amadvance%40gmail%2ecom&lc=US&item_name=AdvanceMAME&no_note=0&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHostedGuest"><img src="paypal.png" width="160" height="60" alt="PayPal"></a>
</div>

<div class="column">
<span class="bold">Find other resources at</span>
<br>
<a href="https://github.com/amadvance/advancemame/"><img src="github.png" width="160" height="60" alt="GitHub"></a>
<a href="http://sourceforge.net/projects/advancemame/"><img src="sourceforge.png" width="115" height="60" alt="SourceForge"></a>
</div>

</div>
</body>
</html>


